EDIT - feature request #9010

Display taxon node status excluded, unplaced, placement doubtful on taxon page and taxon tree and
show taxon node status note and taxon node source on taxon page

05/13/2020 04:20 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

Suitable symbols are to be defined in #9002 (duplicated by #9003)

TODO:

)

Show the taxon node status excluded, unplaced, placement doubtful at the top of the taxon page

Show the taxon node in the taxon tree

¢ | case there are multiple taxon nodes for one taxon the status information for all nodes should be shown by also mentioning the
classification if (see #8997)

add a configuration option to the admin section layout > taxon to allow disabling the taxon node status

add status note if available

add TaxonNode.source if available

Related issues:

Related to EDIT - feature request #9003: Find suitable symbols for excluded, ... Duplicate
Related to EDIT - feature request #8997: Improve display of classifications a... New
Related to EDIT - feature request #9042: EnumTerm symbol and message in web s... New
Related to EDIT - feature request #9005: Make the TaxonNode flags alternative... Closed
Related to EDIT - bug #9102: taxonNode status icon breaks sort order in taxon... Closed
Related to EDIT - feature request #10096: Add new TaxonNode status and make n... Closed
Related to EDIT - feature request #9002: Find suitable symbols for excluded, ... New

Associated revisions

Revision bd56cbc1 - 05/26/2020 11:56 AM - Andreas Kohlbecker

ref #9010 taxon node status display for taxon pages with tests

Revision da898043 - 05/26/2020 12:37 PM - Andreas Kohlbecker

ref #9010 taxon node status display: test for synonmy page

Revision 11accf4d - 05/28/2020 12:40 PM - Andreas Kohlbecker

ref #9010 adapting tests to modified taxon node status model

Revision 8131310 - 05/28/2020 02:49 PM - Andreas Kohlbecker

ref #9010 taxon node status display - adaptiong code to model change

Revision 9282ac6e - 05/28/2020 04:38 PM - Andreas Kohlbecker

ref #9010 showing taxon node status symbols in the taxon tree

Revision 64aca903 - 05/28/2020 05:40 PM - Andreas Kohlbecker

ref #9010 showing taxon node status symbols in the taxon tree - adding space

Revision fe169cb6 - 06/09/2020 02:29 PM - Andreas Kohlbecker

ref #9010 taxon node status only for taxon general and synonymy tab
https://dev.e-taxonomy.eu/redmine/issues/9002
https://dev.e-taxonomy.eu/redmine/issues/9003
https://dev.e-taxonomy.eu/redmine/issues/8997

Revision 31bb0452 - 06/09/2020 02:31 PM - Andreas Kohlbecker

ref #9010 changing label to 'Placement status'

Revision de12b95b - 06/09/2020 02:47 PM - Andreas Kohlbecker

ref #9010 changing label to 'Placement status' - adapting tests

Revision 95e00758 - 06/22/2020 01:13 PM - Andreas Kohlbecker

ref #9010 showing status notes, source and annotations

Revision 178d1ae6 - 06/24/2020 11:25 AM - Andreas Kohlbecker

ref #9010 solving some problems regarding sources and annotations for TaxonNodes

Revision ff28ae45 - 06/24/2020 11:26 AM - Andreas Kohlbecker

ref #9010 proper initialization of TaxonNode.source

History

#1 - 05/13/2020 04:20 PM - Andreas Kohlbecker
- Related to feature request #9003: Find suitable symbols for excluded, unplaced, placement doubtful (dataportal) added

#2 - 05/13/2020 04:21 PM - Andreas Kohlbecker

- Subject changed from Diasplay taxon node status excluded, unplaced, placement doubtful (dataportal) in the taxon page to Display taxon node
status excluded, unplaced, placement doubtful (dataportal) in the taxon page

#3 - 05/13/2020 05:00 PM - Andreas Kohlbecker

- Related to feature request #8997: Improve display of classifications and non taxon names in search results added

#4 - 05/13/2020 05:01 PM - Andreas Kohlbecker

- Description updated

#5 - 05/14/2020 08:36 AM - Andreas Kohlbecker

- Subject changed from Display taxon node status excluded, unplaced, placement doubtful (dataportal) in the taxon page to Display taxon node status
excluded, unplaced, placement doubtful (dataportal) in taxon page and taxon tree

- Description updated

#6 - 05/28/2020 03:33 PM - Andreas Kohlbecker

- Related to feature request #9042: EnumTerm symbol and message in web service response added

#7 - 05/28/2020 05:14 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
- % Done changed from 0 to 50

This is solved, please see the genus Casus and subordinate taxa for examples:

http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/b6abcec5-d58e-4bf1-87c4-{7926525d1a6

#8 - 06/03/2020 02:49 PM - Andreas Miuller

In classification tree it looks fine

#9 - 06/03/2020 04:27 PM - Andreas Miuller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

On the taxon page in the tabbed version | would move the text above the tabs (immediately below the title). Now it appears on each tab which is
confusing, e.g. if | click on "keys" and get information "placement doubtful" it is strange.

#10 - 06/03/2020 04:36 PM - Andreas Miiller

- Status changed from Resolved to Feedback
http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/b6abcec5-d58e-4bf1-87c4-f7926525d1a6

"Classificatorical states" should be "Placement status" as "classificatorical" does not seem to be English word (I couldn't find it). Also it is status not
state.

#11 - 06/03/2020 04:44 PM - Andreas Miiller

- Related to feature request #9005: Make the TaxonNode flags alternatives and change excluded notes to status notes added

#12 - 06/03/2020 04:48 PM - Andreas Miiller

- Subject changed from Display taxon node status excluded, unplaced, placement doubtful (dataportal) in taxon page and taxon tree to Display taxon
node status excluded, unplaced, placement doubtful on taxon page and taxon tree and show taxon node status note on taxon page

- Description updated

| added "show taxon node status note" to the ticket titel as this task is strongly related (see also #9005)

#13 - 06/03/2020 04:54 PM - Andreas Miiller
Andreas Miller wrote:
"Classificatorical states" should be "Placement status" as "classificatorical" does not seem to be English word (I couldn't find it). Also it is status

not state.

Alternatively we could fully remove the label and use selfexplaining labels for the status: placement doubtful, unplaced and excluded.

#14 - 06/08/2020 04:17 PM - Andreas Kohlbecker
- Status changed from Feedback to In Progress
Andreas Muller wrote:
On the taxon page in the tabbed version | would move the text above the tabs (immediately below the title). Now it appears on each tab which is

confusing, e.g. if | click on "keys" and get information "placement doubtful" it is strange.

We agreed in showing the status label only for the taxon tabs general and synonymy and when the taxon page is tabless

#15 - 06/09/2020 02:34 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

All suggested improvements are now implemented.
I've chosen to keep the label and to replace "Classificatorical states" by "Placement status"

#16 - 06/12/2020 08:47 AM - Andreas Miiller
- Status changed from Closed to Feedback

On the above test page | could not find any example with status notes. Is this implemented already? If yes, is there an example/test page?

#17 - 06/15/2020 09:31 AM - Andreas Kohlbecker
- Status changed from Feedback to In Progress

- % Done changed from 100 to 40

thank you for pointing this out. | overlooked the additional requirement to show also status notes.

#18 - 06/15/2020 11:43 AM - Andreas Miuller

- Subject changed from Display taxon node status excluded, unplaced, placement doubtful on taxon page and taxon tree and show taxon node status
note on taxon page to Display taxon node status excluded, unplaced, placement doubtful on taxon page and taxon tree and show taxon node status
note and taxon node source on taxon page

- Description updated

| forgot to mention that also the TaxonNode source should be shown here

#19 - 06/22/2020 01:15 PM - Andreas Kohlbecker

- Status changed from In Progress to Feedback
https://dev.e-taxonomy.eu/redmine/issues/9005

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- % Done changed from 40 to 50

display of status notes, source and annotations is implemented.
Is there any way to edit source and annotations of taxon nodes via the Taxeditor?

#20 - 06/22/2020 04:55 PM - Andreas Miiller

The source can be edited via the taxon node wizard ("placement source") but only reference (and if a new node is created also microreference can be
edited). These are stored now as OriginalSource.

Annotations can not be edited in the taxeditor yet, as far as | can see, as the supplemental data view does not work with the wizard.

#21 - 06/22/2020 07:50 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#22 - 06/24/2020 10:56 AM - Andreas Miuiller

Excluded and unplaced taxa do now appear on the top in the tree. This is unwanted. Excluded and unplaced taxa should always be on the bottom,
with first unplaced and then excluded.

#23 - 07/02/2020 08:39 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

Andreas Muller wrote:

Excluded and unplaced taxa do now appear on the top in the tree. This is unwanted. Excluded and unplaced taxa should always be on the
bottom, with first unplaced and then excluded.

this issue is handled in #9102 and has been solved meanwhile.

#24 - 07/02/2020 08:40 AM - Andreas Kohlbecker

- Related to bug #9102: taxonNode status icon breaks sort order in taxontree added

#25 - 07/26/2022 11:13 AM - Andreas Miiller

- Related to feature request #10096: Add new TaxonNode status and make notes field more general added

#26 - 07/26/2022 11:14 AM - Andreas Miiller

- Description updated

#27 - 07/26/2022 11:14 AM - Andreas Miiller

- Related to feature request #9002: Find suitable symbols for excluded, unplaced, placement doubtful added
